# Class ValueInfoMapGroupTable

java.lang.Object
uk.ac.starlink.table.AbstractStarTable
uk.ac.starlink.table.RandomStarTable
uk.ac.starlink.ttools.filter.ValueInfoMapGroupTable

All Implemented Interfaces:
  `Closeable, AutoCloseable, uk.ac.starlink.table.StarTable`

public class ValueInfoMapGroupTable extends uk.ac.starlink.table.RandomStarTable
StarTable implementation built on a MapGroup whose keys are ValueInfo objects representing columns of the table.

Since:
  26 Apr 2006
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`Object`
`getCell(long irow, int icol)`
`int`
`getColumnCount()`
`uk.ac.starlink.table.ColumnInfo`
`getColumnInfo(int icol)`
`Object[]`
`getRow(long irow)`
`long`
`getRowCount()`

### Methods inherited from class uk.ac.starlink.table.RandomStarTable

`getRowAccess, getRowSequence, isRandom`

### Methods inherited from class uk.ac.starlink.table.AbstractStarTable

`checkedLongToInt, close, getColumnAuxDataInfos, getName, getParameters, getRowSplittable, getURL, setName, setParameters, setURL`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface uk.ac.starlink.table.StarTable

`getParameterByName, setParameter`

## Method Details

### getColumnInfo

public uk.ac.starlink.table.ColumnInfo getColumnInfo(int icol)

Specified by:
  `getColumnInfo` in interface `uk.ac.starlink.table.StarTable`
Specified by:
  `getColumnInfo` in class `uk.ac.starlink.table.AbstractStarTable`

### getRowCount

public long getRowCount()

Specified by:
  `getRowCount` in interface `uk.ac.starlink.table.StarTable`
Specified by:
  `getRowCount` in class `uk.ac.starlink.table.RandomStarTable`

### getColumnCount

public int getColumnCount()

Specified by:
  `getColumnCount` in interface `uk.ac.starlink.table.StarTable`
Specified by:
  `getColumnCount` in class `uk.ac.starlink.table.AbstractStarTable`

### getCell

public Object getCell(long irow, int icol)

Specified by:
  `getCell` in interface `uk.ac.starlink.table.StarTable`
Specified by:
  `getCell` in class `uk.ac.starlink.table.RandomStarTable`

### getRow

public Object[] getRow(long irow)

Specified by:
  `getRow` in interface `uk.ac.starlink.table.StarTable`
Overrides:
  `getRow` in class `uk.ac.starlink.table.AbstractStarTable`